#platform=x86, AMD64, or Intel EM64T
# System authorization information
auth  --useshadow  --enablemd5
# System bootloader configuration
bootloader --location=mbr
# Partition clearing information
clearpart --all --initlabel
# Use text mode install
text
# Firewall configuration
firewall --disabled
# Run the Setup Agent on first boot
firstboot --disable
# System keyboard
keyboard us
# System language
lang en_US
# Use network installation
url --url=$tree
key --skip

# If any cobbler repo definitions were referenced in the kickstart profile, include them here.
$yum_repo_stanza

# Network information
network --bootproto=dhcp --device=eth0 --onboot=on --noipv6
# Reboot after installation
reboot

#Root password
rootpw --iscrypted $1$z8ATNbdx$URqSRM3RkCgBCTIKD4Z3W.
# SELinux configuration
selinux --disabled
# Do not configure the X Window System
skipx
# System timezone
timezone  America/New_York
# Install OS instead of upgrade
install
# Clear the Master Boot Record
zerombr

# Setup LVM for the Cloud machines
clearpart --all --initlabel
partition /boot --fstype=ext3 --size=200
partition pv.01 --size=10240
partition pv.02 --size=10240 --grow
volgroup HostVolGroup00 pv.01
volgroup HostVolGroupImages pv.02
logvol swap --fstype swap --name=Swap --vgname=HostVolGroup00 --size=2048
logvol / --fstype ext3 --name=Root --vgname=HostVolGroup00 --size=10240 --grow
logvol /images --fstype ext3 --name=Images --vgname=HostVolGroupImages --size=10240 --grow

%pre
$kickstart_start

%packages
kernel-xen
xen
libvirt
git
genome-cloudmasterd-httpd
genome-cloudmasterd
genome-cloudhost
genome-cloudhost-httpd

%post
# Extend the number of loopback devices allowed
echo "options loop max_loop=255" >> /etc/modules.conf

# TODO This only works for eth0 and DHCP situations
grep HOSTNAME /etc/sysconfig/network
if [ $? == 0 ] 
then
    sed -i -e "s/\(HOSTNAME=\).*/\1$name/" /etc/sysconfig/network
else 
    echo "HOSTNAME=$name" >> /etc/sysconfig/network
fi

echo "DHCP_HOSTNAME=$name" >> /etc/sysconfig/network-scripts/ifcfg-eth0

# We want both a cloudmaster and a cloudhost
if [ "$cloudmaster" == "localhost" ]; then
  yum install genome-cloudmasterd-httpd-redirect

  /sbin/chkconfig --add cloudmasterd
  /sbin/chkconfig cloudmasterd on
  /sbin/chkconfig --add cloudhost 
  /sbin/chkconfig cloudhost on
  /sbin/chkconfig --add httpd
  /sbin/chkconfig httpd on

cat <<HERE > /etc/genome/genome.conf
---
cloudmaster: $cloudmaster
uuid: $name
HERE

# We only want a cloudhost
elif [ "$cloudmaster" == "" ]; then 
  yum install genome-cloudhost-httpd-redirect

  /sbin/chkconfig --add cloudhost 
  /sbin/chkconfig cloudhost on
  /sbin/chkconfig --add httpd
  /sbin/chkconfig httpd on


cat <<HERE > /etc/genome/genome.conf
---
uuid: $name
HERE
# We already have a cloudmaster, we just want a cloudhost that reports to it
else
  yum install genome-cloudhost-httpd-redirect

  /sbin/chkconfig --add cloudhost 
  /sbin/chkconfig cloudhost on
  /sbin/chkconfig --add httpd
  /sbin/chkconfig httpd on

cat <<HERE > /etc/genome/genome.conf
---
cloudmaster: $cloudmaster
uuid: $name
HERE
fi

$yum_config_stanza
$kickstart_done
